#!/bin/bash
 
echo "
#######################################################################################################################
#                                                                                                                     #
#                   Установка терминала CyberFT без использования docker-engine                                       #
#                                                                                                                     #
#                                                                                                                     #
#                                                                                                                     #
#######################################################################################################################"\
 
 
#проверка пользователя
if [ `whoami` != 'root' ]; then
    echo "Скрипт нужно запускать из-под root-пользователя!"
    tput sgr0;
    exit 0
fi;
sleep 2
 
apt-get update
apt-get upgrade
 
 
echo "Установка компонентов. Будьте внимательны, на данном этапе нужно будет задать пароль для БД MySQL"
echo "#
      #
      #
      #
      #
      #"\
     
sleep 5
 
apt-get -y install sudo uuid nginx mysql-server redis-server cups lpr fail2ban samba stunnel4 openjdk-7-jre openjdk-7-jdk build-essential libxml2-dev "make" gcc libxslt1-dev libxml2-dev software-properties-common python-software-properties
sudo dpkg-reconfigure python-software-properties
sleep 1
 
 
echo "PHP"
 
echo "#
      #
      #
      #
      #
      #"\
 
sleep 5
 
add-apt-repository 'deb http://packages.dotdeb.org wheezy-php56 all'
wget http://www.dotdeb.org/dotdeb.gpg
apt-key add dotdeb.gpg
apt-get update
apt-get -y install php5-fpm php5-common php5-cli php5-mcrypt php5-mysqlnd php5-curl php5-apcu
sleep 1
echo "Установка Elastic Search"
sleep 2
wget https://download.elasticsearch.org/elasticsearch/release/org/elasticsearch/distribution/deb/elasticsearch/2.1.0/elasticsearch-2.1.0.deb
dpkg -i elasticsearch-2.1.0.deb
/etc/init.d/elasticsearch restart
 
sleep 1
 
echo "OpenSSL"
 
echo "#
      #
      #
      #
      #
      #"\
     
sleep 5
mkdir ./openssl/
cd ./openssl/
wget https://www.openssl.org/source/openssl-1.0.2h.tar.gz
tar xvzf openssl-1.0.2h.tar.gz
cd ./openssl-1.0.2h
make depend
./config --prefix=/usr/local/openssl-1.0.2h shared
make
make install
 
sleep 1
 
echo "Xmlsec"
 
echo "#
      #
      #
      #
      #
      #"\
     
sleep 5
 
cd ./
wget --no-check-certificate http://www.aleksey.com/xmlsec/download/xmlsec1-1.2.20.tar.gz
tar xvzf xmlsec1-1.2.20.tar.gz
cd ../xmlsec1-1.2.20
./configure --prefix=/usr/local/xmlsec1-1.2.20 --enable-gost --disable-crypto-dl -with-openssl=/usr/local/openssl-1.0.2h/ --without-
gcrypt --without-gnutls --without-libxslt
make
make install
mv /usr/lib/ssl/openssl.cnf /usr/lib/ssl/openssl.cnf_bak
mv /usr/bin/openssl /usr/bin/openssl_bak
 
echo "#
      #
      #
      #
      #
      #"\
     
 
rm -rf ./dotdeb.gpg elasticsearch-2.1.0.deb ./openssl/
mkdir /opt/CyberFT
cd /opt/CyberFT
wget http://download.cyberft.ru/CyberFT%203.2/cyberft-v3.2.2.15.tar.gz
tar xvzf cyberft-v3.2.2.15.tar.gz
chmod +x /etc/rc.local
sleep 2
 
./distr/install.sh